org.keycloak

## Interface OAuth2Constants

-     public interface OAuth2Constants

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHORIZATION_CODE`
    `static String` | `CLIENT_ID`
    `static String` | `CODE`
    `static String` | `ERROR`
    `static String` | `ERROR_DESCRIPTION`
    `static String` | `GRANT_TYPE`
    `static String` | `PASSWORD`
    `static String` | `REDIRECT_URI`
    `static String` | `REFRESH_TOKEN`
    `static String` | `RESPONSE_TYPE`
    `static String` | `SCOPE`
    `static String` | `STATE`

- - ### Field Detail

    - #### CODE

          static final String CODE

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### ERROR

          static final String ERROR

      See Also:
        Constant Field Values

    - #### ERROR_DESCRIPTION

          static final String ERROR_DESCRIPTION

      See Also:
        Constant Field Values

    - #### REDIRECT_URI

          static final String REDIRECT_URI

      See Also:
        Constant Field Values

    - #### SCOPE

          static final String SCOPE

      See Also:
        Constant Field Values

    - #### STATE

          static final String STATE

      See Also:
        Constant Field Values

    - #### GRANT_TYPE

          static final String GRANT_TYPE

      See Also:
        Constant Field Values

    - #### RESPONSE_TYPE

          static final String RESPONSE_TYPE

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN

          static final String REFRESH_TOKEN

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_CODE

          static final String AUTHORIZATION_CODE

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

Copyright © 2015. All rights reserved.